{
    template:'${tmpl}',
    data:function(){
        return {
            obj:{
                "companyname": "华为技术科技有限公司",
                "patentnum": 12345,
                "industryname": "通信设备制造,互联网和相关服务",
                "businessscope": "123456",
                "keyword": [
                    "终端设备",
                    "电信"
                ],
                "competeinfo": [
                    {
                        "companyname": "北京小米科技有限公司",
                        "patentnum": 9876,
                        "keyword": [
                            "终端设备",
                            "电信"
                        ],
                        "industryname": "通信设备制造",
                        "competeindex": 90
                    },
                    {
                        "companyname": "北京小米科技有限公司",
                        "patentnum": 9876,
                        "keyword": [
                            "终端设备",
                            "电信"
                        ],
                        "industryname": "通信设备制造,互联网和相关服务",
                        "competeindex": 90
                    },
                    {
                        "companyname": "北京小米科技有限公司",
                        "patentnum": 9876,
                        "keyword": [
                            "终端设备",
                            "电信"
                        ],
                        "industryname": "通信设备制造",
                        "competeindex": 90
                    },
                    {
                        "companyname": "北京小米科技有限公司",
                        "patentnum": 9876,
                        "keyword": [
                            "终端设备",
                            "电信"
                        ],
                        "industryname": "通信设备制造",
                        "competeindex": 90
                    },
                    {
                        "companyname": "北京小米科技有限公司",
                        "patentnum": 9876,
                        "keyword": [
                            "终端设备",
                            "电信"
                        ],
                        "industryname": "通信设备制造",
                        "competeindex": 90
                    }
                ]
            },
            tableFrom:[
                '序号','企业名称','专利总量','专利关键词','行业','竞争指数','操作'
            ],
            entName: '',
            year: ''
        }
    },
    mounted:function(){

    },
    created:function(){
        this.entName=this.$router.history.current.query.entName || "";
        this.year=this.$router.history.current.query.year || "";
        console.log(this.entName, this.year);
        if (this.entName) {
            this.analysisInfo();
        }
    },
    methods:{
        contrast(val) {
            this.$root.pushx({
                name:"/enterprisecontrast",
                params:{
                    name1: val,
                    name2: this.entName
                }
            });
        },
        fanhui() {
            this.$root.pushx({
                name:"/businessdecisions",
                params:{}
            });
        },
        analysisInfo(){
            var obj={entName:""};
            if(this.entName ){
                obj.entName=this.entName;
            }else{
                return ;
            }
            this.$root.showMask();
            this.$root.getReq("web/patentycCtl/competitionAnalysisInfo",obj).then(d=>{
                if(d && d.code==1){
                    this.obj = d.data;
                    console.log(d.data);
                }
                this.$root.hideMask();
            }).catch(e=>{
                this.$root.hideMask();
            })
        },
    },
    computed:{
 
    },
    vname:"gsb-competitiveanalysis"
}
